NFSD(8)

NAME
nfsd - remote NFS server

SYNOPSIS
nfsd [-arut] [-n num_servers] [-h bindip]

DESCRIPTION
Nfsd runs on a server machine to service NFS requests from client machines. At least one nfsd must be running for a machine to operate as a server.

Unless otherwise specified, four servers for UDP transport are started.

The following options are available:

-r  Register the NFS service with portmap(8) without creating any servers. This option can be used along with the -u or -t options to re-register NFS if the portmap server is restarted.

-n  Specifies how many servers to create.

-h bindip
    Specifies which IP address or hostname to bind to on the local host. This option is recommended when a host has multiple interfaces. Multiple -h options may be specified.

-a  Specifies that nfsd should bind to the wildcard IP address. This is the default if no -h options are given. It may also be specified in addition to any -h options given. Note that NFS/UDP does not operate properly when bound to the wildcard IP address whether you use -a or do not use -h.

-t  Serve TCP NFS clients.

-u  Serve UDP NFS clients.

For example, “nfsd -u -t -n 6” serves UDP and TCP transports using six daemons.

A server should run enough daemons to handle the maximum level of concurrency from its clients, typically four to six.

Nfsd listens for service requests at the port indicated in the NFS server specification; see RFC1094 and

If nfsd detects that NFS is not loaded in the running kernel, it will attempt to load a loadable kernel module containing NFS support using kldload(8) by way of vfsload(3). If this fails, or no NFS KLD is available, nfsd will exit with an error.

If nfsd is to be run on a host with multiple interfaces or interface aliases, use of the -h option is recommended. If you do not use the option NFS may not respond to UDP packets from the same IP address they were sent to. Use of this option is also recommended when securing NFS exports on a firewalling machine such that the NFS sockets can only be accessed by the inside interface. Ipfw would then be used to block nfs-related packets that come in on the outside interface.

The nfsd utility exits 0 on success, and >0 if an error occurs.

SEE ALSO
nfsstat(1), nfssvc(2), kldload(8), mountd(8), nfsiod(8), portmap(8), ipfw(8)

HISTORY
The nfsd utility first appeared in 4.4BSD.